{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}

{% block content %}
<form class="w3-container">
  <p>
  <label>Masukkan Keyword</label>
  <input id="keyword" class="w3-input" type="text" placeholder="masukkan keyword"></p>
</form>
  <ol id="daftar_isi">
  </ol>

  <script type="text/javascript">
      $("#keyword").keyup(function(){
          var ketik = $("#keyword").val();
          console.log(ketik);
          $.ajax({
              url: '/data?q=' + ketik,
              success: function(data){
                  console.log(data);
                  var arrays_items = data.items;
                  //console.log(arrays_items);
                  $("#daftar_isi").empty();
                  for(i =0; i<arrays_items.length;i++){
                      var judul = arrays_items[i].volumeInfo.title;
                      var gambar = arrays_items[i].volumeInfo.imageLinks.smallThumbnail;
                      $("#daftar_isi").append("<li>"+ judul+ "<br><img src ="+ gambar + "></li>");
                  }
               }
          });
      });
  </script>

{% endblock content %}
